// Viewer.groovy

import java.io.File
import java.util.ArrayList
import javax.swing.*

if (args.length != 1)
{
    println "usage: groovy Viewer.groovy filename"
    return
}

lines = new ArrayList<String> ()

new File (args [0]).eachLine
{
   line -> lines.add line
}

list = new JList (lines.toArray ())

frame = new JFrame ("Viewer: " + args [0])
frame.setDefaultCloseOperation JFrame.EXIT_ON_CLOSE
frame.add new JScrollPane (list)
frame.setSize 300, 300
frame.setVisible true
